from ti_system import *
from microbit import *
from mb_sensr import *

print("compass is calibrated =", compass.is_calibrated(),"\n")
print("clearing compass calibration\n")
compass.clear_calibration()
print("compass is calibrated =", compass.is_calibrated(),"\n")
print("calibrating now\n")
compass.calibrate()
print("compass is calibrated =", compass.is_calibrated(),"\n")

while not escape():
  disp_clr()
  print("Built-in Sensors Test")
  print("accelerometer.x axis =",accelerometer.get_x())
  print("accelerometer.y axis =",accelerometer.get_y())
  print("accelerometer.z axis =",accelerometer.get_z())
  print("compass.heading =",compass.heading())
  print("magnetometer.field =",compass.get_field_strength())
  print("temperature =",temperature())
  sleep (3000)